Removing RubyGems


#1

Hmm, I have ended up with multiple instances of RubyGems installed on my
OS X system. I can use PATH to ensure that the correct version is used,
but I’d like to clean the system up.

Can some kind person describe the process for reversing the ‘ruby
setup.rb’ to ensure a full and clean remove of the package?

Thanks in advance


#2

Jonathan W. wrote:

Hmm, I have ended up with multiple instances of RubyGems installed on my
OS X system. I can use PATH to ensure that the correct version is used,
but I’d like to clean the system up.

Can some kind person describe the process for reversing the ‘ruby
setup.rb’ to ensure a full and clean remove of the package?

To remove RubyGems from a single Ruby installation, from the
site_ruby/1.8 directory of that installation, remove:

  • rubygems.rb (file)
  • rubygems (directory)

If you do not have RubyGems installed in other Ruby installation
directories, you can also remove the following files from whatever
command directory is listed in your PATH:

  • gem
  • gemwhich
  • gem_server
  • gem_mirror
  • generate_yaml_index.rb

And if you are removing RubyGems completely, don’t forget to remove the
RUBYOPT environment variable from your environment.

Without actually trying it, I think that will do it.


– Jim W.


#3

you forgot to tell us what “that” is in case someone else has that
problem!


#4

Jim W. wrote:

To remove RubyGems from a single Ruby installation, from the
site_ruby/1.8 directory of that installation, remove:

  • rubygems.rb (file)
  • rubygems (directory)

If you do not have RubyGems installed in other Ruby installation
directories, you can also remove the following files from whatever
command directory is listed in your PATH:

  • gem
  • gemwhich
  • gem_server
  • gem_mirror
  • generate_yaml_index.rb

And if you are removing RubyGems completely, don’t forget to remove the
RUBYOPT environment variable from your environment.

Without actually trying it, I think that will do it.


– Jim W.

Jim, Many thanks for the suggestion, that worked for me.